Bug 43450 - Web Inspector: Remove "Online/Offline" icon for Chrome's appcache devtools UI.
Summary: Web Inspector: Remove "Online/Offline" icon for Chrome's appcache devtools UI.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-03 17:05 PDT by Kavita Kanetkar
Modified: 2010-08-06 06:30 PDT (History)
10 users (show)

See Also:


Attachments
patch (5.55 KB, patch)
2010-08-04 12:38 PDT, Kavita Kanetkar
joepeck: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
patch2 (5.58 KB, patch)
2010-08-05 13:54 PDT, Kavita Kanetkar
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kavita Kanetkar 2010-08-03 17:05:45 PDT
It always shows "Online" which is not correct. Disabling it for now (via devtools Preferences).
I am not sure if we want want it even. In that case what's the best way of going about it?
Comment 1 Joseph Pecoraro 2010-08-03 17:24:35 PDT
What do you mean by "which is not correct." This Online/Offline indicator
corresponds to the navigator.onLine value. It is the network connectivity
of the machine.

Is it not switching correctly, or is its value ambiguous (users might think
it means "Using the Application Cache" or "Not Using the Application Cache"?
Comment 2 Kavita Kanetkar 2010-08-04 12:38:56 PDT
Created attachment 63480 [details]
patch

From what I understand, we always returns true for navigator.onLine. I am disabling UI for chrome-only. It probably is confusing to end-users to see it always "Online". Please take a look at the patch.

Thanks!
Comment 3 Joseph Pecoraro 2010-08-04 13:21:07 PDT
Comment on attachment 63480 [details]
patch

(In reply to comment #2)
> From what I understand, we always returns true for navigator.onLine.
> I am disabling UI for chrome-only. It probably is confusing to end-users
> to see it always "Online". Please take a look at the patch.

Any idea why Chrome always returns true? Is there an open bug
for this feature to be implemented? Can you create a bug or
link me to it?

Finally, can you file a follow up bug to re-enable the feature for
Chrome pending the feature being implemented?

Anyways, the patch looks good to me, just the open questions.
Comment 4 Kavita Kanetkar 2010-08-04 13:47:36 PDT
Comment on attachment 63480 [details]
patch

Thanks for review. I think there's a chrome bug/discussion somewhere about this online-detection. Sure, I can file a follow-up bug to enable this once chrome has resolved the other issue.
Comment 5 Joseph Pecoraro 2010-08-04 14:38:09 PDT
File / link to the follow-up and I will cq+ (if you can't). Thanks!
Comment 6 WebKit Commit Bot 2010-08-04 15:22:14 PDT
Comment on attachment 63480 [details]
patch

Rejecting patch 63480 from commit-queue.

kkanetkar@chromium.org does not have committer permissions according to http://trac.webkit.org/browser/trunk/WebKitTools/Scripts/webkitpy/common/config/committers.py.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in WebKitTools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  Due to bug 30084 the commit-queue will require a restart after your change.  Please contact eseidel@chromium.org to request a commit-queue restart.  After restart the commit-queue will correctly respect your committer rights.
Comment 7 WebKit Commit Bot 2010-08-05 13:18:32 PDT
Comment on attachment 63480 [details]
patch

Rejecting patch 63480 from commit-queue.

Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Joseph Pecoraro', u'--force']" exit_code: 1
Parsed 5 diffs from patch file(s).
patching file WebKit/chromium/src/js/DevTools.js
Hunk #1 FAILED at 111.
1 out of 1 hunk FAILED -- saving rejects to file WebKit/chromium/src/js/DevTools.js.rej
patching file WebKit/chromium/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file WebCore/inspector/front-end/Settings.js
patching file WebCore/inspector/front-end/ApplicationCacheItemsView.js

Full output: http://queues.webkit.org/results/3609768
Comment 8 Joseph Pecoraro 2010-08-05 13:52:44 PDT
@Kavita, did this get out of date? Does it need to be rebaselined?
Comment 9 Kavita Kanetkar 2010-08-05 13:54:00 PDT
Created attachment 63631 [details]
patch2

Conflicting changes from Bug 43479 landed before this. Resolved. Please take a look.

Thanks.
Comment 10 Joseph Pecoraro 2010-08-05 14:01:49 PDT
Comment on attachment 63631 [details]
patch2

Thanks for updating!
Comment 11 WebKit Commit Bot 2010-08-06 06:30:15 PDT
Comment on attachment 63631 [details]
patch2

Clearing flags on attachment: 63631

Committed r64844: <http://trac.webkit.org/changeset/64844>
Comment 12 WebKit Commit Bot 2010-08-06 06:30:21 PDT
All reviewed patches have been landed.  Closing bug.